package org.jeecg.modules.projectManagement.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.projectManagement.entity.FdProjectQuotationTemplateItem;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 项目报价模板对照明细
 * @author： jeecg-boot
 * @date：   2019-05-20
 * @version： V1.0
 */
public interface FdProjectQuotationTemplateItemMapper extends BaseMapper<FdProjectQuotationTemplateItem> {

    List<FdProjectQuotationTemplateItem> getListTemplateItem();

    List<Map<String,Object>> getTemplateItemMerge();

    List<FdProjectQuotationTemplateItem> getByQuotationId1(String quotationId);

    int updateTemplateItemBatch(@Param("list") List<FdProjectQuotationTemplateItem> templateItemList);

    List<FdProjectQuotationTemplateItem> listOrderByCode(@Param("quotationId")String quotationId,@Param("quotationTemplateId")String quotationTemplateId);

    void parentIdBatch(@Param("templateItemList")List<FdProjectQuotationTemplateItem> templateItemList);

    List<FdProjectQuotationTemplateItem> getItemAndTemp(@Param("quotationId") String quotationId);

    int updateDelFlagByQuotationId(@Param("quotationId")String quotationId);

    List<FdProjectQuotationTemplateItem> getTempItems(@Param("quotationId")String quotationId);

    List<FdProjectQuotationTemplateItem> getBioTempItemsBycontractId(@Param("contractId")String contractId);

    /**
    * @Author chenchuang
    * @Description //TODO 根据报价id和模板类型查询模板数据
    * @Date 2020/8/12 10:16
    * @Param [contractId, types]
    * @return java.util.List<org.jeecg.modules.projectManagement.entity.FdProjectQuotationTemplateItem>
    */
    List<FdProjectQuotationTemplateItem> getItemAndTempByQuotation(@Param("quotationId")String quotationId,@Param("types")List<String> types);
}
